Page MenuHomePhabricator

Beta puppet patch "prometheus: make ferm DNS record type configurable"
Closed, ResolvedPublic

Description

Hi,

This patch has been cherry-picked on Beta for many months now:
https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/381073/.

If it is still needed, please re-open the change set and consider merging it or asking for help with finishing and/or reviewing it.

If it is no longer needed, consider removing it from Beta's puppetmaster and removing the hashtag.

Thanks!


Prometheus exports have a ferm rule that resolves hosts using AAAA DNS
records. Labs lacks IPv6 and the class is installed on the
deploymemt-memc* hosts among others which causes ferm to fail loading.

Make it possible to change the record type used by ferm when resolving.
Default remains 'AAAA'.

Set it to 'A' for labs via hiera:

profile::prometheus::dns_record_type: 'A'

Bug: T153468
Bug: T176314

Event Timeline

Krinkle created this task.Feb 7 2020, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2020, 11:36 PM
jijiki triaged this task as Medium priority.Feb 10 2020, 10:39 AM

ferm has been fixed in stretch-wikimedia and buster-wikimedia to properly resolve AAAA records with a fallback, if all jessie instances are gone from deployment-prep, this patch be be removed (if all stretch/buster hosts are running ferm 2.4-1+wmf2+deb10u1 or 2.4-1+wmf2+deb9u1)

We still have some Jessie instances which are in need of migration. I think
production still has some jessie instances.

fgiunchedi moved this task from Inbox to Radar on the observability board.Apr 6 2020, 12:34 PM
dpifke added a subscriber: dpifke.Sep 4 2020, 6:18 PM

This local patch no longer merges, due to cleanups of the use of hiera and type hints. I dropped it when rebasing to un-break beta puppet.

Feel free to rewrite and re-cherry-pick if still needed.

dpifke closed this task as Resolved.Sep 11 2020, 10:06 PM
dpifke claimed this task.

Calling this resolved, as it's been a week and nobody has missed the associated patch.